# pandas.Series.agg

`Series.``agg`(func, axis=0, *args, **kwargs)

  Aggregate using callable, string, dict, or list of string/callables

  New in version 0.20.0.

  Parameters:

  func : callable, string, dictionary, or list of string/callables

  > Function to use for aggregating the data. If a function, must either work when passed a Series or when passed to Series.apply. For a DataFrame, can pass a dict, if the keys are DataFrame column names.

  > Accepted Combinations are:

  > - string function name
  > - function
  > - list of functions
  > - dict of column names -> functions (or list of functions)

  Returns: | aggregated : Series

  See also

  `pandas.Series.apply`, `pandas.Series.transform`

  Notes

  Numpy functions mean/median/prod/sum/std/var are special cased so the default behavior is applying the function along axis=0 (e.g., np.mean(arr_2d, axis=0)) as opposed to mimicking the default Numpy behavior (e.g., np.mean(arr_2d)).

  agg is an alias for aggregate. Use the alias.

  Examples

      >>> s = Series(np.random.randn(10))

      >>> s.agg('min')
      -1.3018049988556679

      >>> s.agg(['min', 'max'])
      min   -1.301805
      max    1.127688
      dtype: float64

Scroll To Top